linux 退出当前的shell 命令:exit

exit命令同于退出shell,并返回给定值。在shell脚本中可以终止当前脚本执行。执行exit可使shell以指定的状态值退出。若不设置状态值参数,则shell以预设值退出。状态值0代表执行成功,其他值代表执行失败。

 

语法

exit (参数)

 

参数

返回值:指定shell返回值。

 

实例

退出当前shell:

[root@localhost ~]# exit

logout

 

在脚本中,进入脚本所在目录,否则退出:

cd $(dirname $0) || exit 1

 

在脚本中,判断参数数量,不匹配就打印使用方式,退出:

if [ "$#" -ne "2" ]; then

echo "usage: $0 "

exit 2

fi

 

在脚本中,退出时删除临时文件:

trap "rm -f tmpfile; echo Bye." EXIT

 

检查上一命令的退出码:

./mycommand.sh

EXCODE=$?

if [ "$EXCODE" == "0" ]; then

echo "O.K"

fi

付杰
  • ¥ 198.0元
  • 市场价:498.0元
  • ¥ 15.0元
  • 市场价:15.0元
  • ¥ 99.0元
  • 市场价:129.0元
  • ¥ 68.0元
  • 市场价:168.0元

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: